## tofrodos 1.8.3+ds

=== src/Makefile ===
# makefile.gcc	Makefile for building with the GNU C compiler on Linux.
# Copyright 1996-2012 by Christopher Heng. All rights reserved.

# This makefile requires the GNU make to work (we use the GNU extensions).

# Define the following if you need
#
#	DEBUG	to add debugging information, eg "make DEBUG=1 all"


ifdef DEBUG
CDEBUG = -g
LDEBUG = -g
else
CDEBUG = -O2
LDEBUG = -s
endif

# programs
CC = gcc
CD = cd
CP = cp
GZIP = gzip
INSTALL = install
LN = ln
LD = gcc
MAKE = make
MKDIR = mkdir
MV = mv
RM = rm -f

# flags
CFLAGS = $(DEFINES) $(TFLAG) $(CDEBUG) -c -Wall
GZIPFLAGS = -9
INSTALLBINFLAGS = -m 755
INSTALLDATAFLAGS = -m 644
LDFLAGS = $(LDEBUG)
LNFLAGS = -sf
RMRECURFLAGS = -rf

# directories
BINDIR = /usr/bin
LIBDIR = lib
MANDIR = /usr/man/man1

# filenames
FROMDOS = fromdos
FROMDOSMAN = fromdos.1
FROMDOSTXT = fromdos.txt
TODOS = todos
ZIPSRCNAME = tfd.zip

# lists of filenames
OBJS =	emsg.o \
	init.o \
	tofrodos.o \
	utility.o

# implicit rules
.c.o:
	$(CC) $(CFLAGS) $<

# user visible rules
all: $(FROMDOS) $(TODOS)

clean:
	$(RM) $(OBJS)

clobber: clean
	$(RM) $(FROMDOS) $(TODOS)

install: installman
	$(INSTALL) $(INSTALLBINFLAGS) $(FROMDOS) $(BINDIR)
	($(CD) $(BINDIR) ; $(LN) $(LNFLAGS) fromdos todos)

installman: $(FROMDOSMAN)
	$(INSTALL) $(INSTALLDATAFLAGS) $(FROMDOSMAN) $(MANDIR)
	($(CD) $(MANDIR) ; $(LN) $(LNFLAGS) fromdos.1 todos.1)


# real rules
$(FROMDOS): $(OBJS)
	$(CC) $(LDFLAGS) -o $(FROMDOS) $(OBJS)

$(FROMDOSTXT): $(FROMDOSMAN)
	gtbl $(FROMDOSMAN) | groff -Tascii -mandoc | \
		troff -Tascii -mandoc | grotty > $@

$(TODOS): $(FROMDOS)
	$(LN) $(LNFLAGS) $(FROMDOS) $(TODOS)

# objects
init.o: init.c config.h emsg.h tofrodos.h utility.h version.h

tofrodos.o: tofrodos.c config.h emsg.h tofrodos.h utility.h version.h

utility.o: utility.c config.h emsg.h tofrodos.h utility.h

## tofrodos 1.7.8

=== tofrodos-1.7.8.debian.1/debian/changelog ===
tofrodos (1.7.8.debian.1-1) unstable; urgency=low

  * New upstream release

 -- Alexander Schmehl <tolimar@debian.org>  Wed, 28 May 2008 21:03:03 +0200

tofrodos (1.7.7.debian.1-2) unstable; urgency=low

  * New upstream release
  * Fixed watchfile to mangle version correctly

  CLARIFICATION added after this upload got accepted:  By accident this new
  upstream release got the package revision -2, but the orig.source was indeed
  included in this upload, so the package got accepted before I noticed this
  error.  So if you wonder where 1.7.7.debian.1-1 is: There is none and will
  never be. Sorry.

 -- Alexander Schmehl <tolimar@debian.org>  Tue, 08 Apr 2008 02:50:01 +0200

tofrodos (1.7.6.debian.1-1) unstable; urgency=low

  * New Maintainer (Closes: #467287)
  * debian/control:
    - Moved Homepage semiheader to new one
    - Added Vcs-Svn and Vcs-Browser header
    - Bumped standards version to 3.7.3 (no changes needed)
  * Removed precompiled stuff from tarball (Closes: #126777)
    - Added explanation to debian/copyright
    - Added version mangle to debian/watch
  * Replaced debian/changelog by one in the more common based on the dh_make
    template
  * install HTML documentation
  * moved to quilt instead of dpatch

 -- Alexander Schmehl <tolimar@debian.org>  Sun, 24 Feb 2008 17:17:44 +0100

tofrodos (1.7.6-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD, patch by Robert Millan (Closes: #351417)

 -- Florian Ernst <florian@debian.org>  Tue,  7 Feb 2006 12:01:25 +0100

tofrodos (1.7.6-1) unstable; urgency=low

  * The sysutils package previously contained the utilities
    - memtester
    - procinfo
    - tofrodos
    - bogomips
    Except for the latter they are all split out into a separate package
    now as those utilities are fairly disconnected. This will eventually
    fix bug#253302.
    bogomips will be just dropped, use "cat /proc/cpuinfo | grep ^bogo"
    instead.
  * debian/watch: added

 -- Florian Ernst <florian@debian.org>  Thu, 29 Dec 2005 15:09:38 +0100

sysutils (2.0.0-1) unstable; urgency=low

  * A plethora of changes, so jumping to version 2.0.0 for now
  * New maintainer, taking over with the previous maintainer's consent
    + changing to non-native packaging for the time being
    + follow current standards / best practices
      - make sure the package includes a Section header (Closes: #226303)
      - correct copyright reference and manpage placement (Closes: #127123)
      - extend / clarify long description, thanks to Justin B Rye
        (Closes: #332818)
      - drop legacy Conflicts and Replaces that were once necessary for Potato
    + using dpatch for any in-package adjustments
  * New upstream releases of most subparts (Closes: #340153), like
    + bogomips updated to 1.4.1
      - supposedly doesn't just fail on error (Closes: #198757)
    + memtester updated to 4.0.5
      - doesn't segfault anymore on a 2.6 kernel (Closes: #287611)
      - rewritten to be 64-bit clean (Closes: #126776)
      - can be run as non-root user, thus allows special tests
        (Closes: #259425), so also moving to /usr/bin
    + tofrodos updated to 1.7.6 (Closes: #306191)
      - dos2unix errors now go to stderr, not stdout (Closes: #140956)
      - dos2unix now behaves as expected (Closes: #149116)
      - clarifies symlinks (Closes: #180723)
      - corrects -d and -u explanation in manpage (Closes: #177874)
  * Further changes:
    + procinfo:
      - add 41_procinfo_use_HZ_from_kernel.dpatch, thanks to Guus Sliepen
        (Closes: #94337)
      - add 42_procinfo_paging_swap_disk_statistics_on_2.6.dpatch and
        43_procinfo_fix_CPU_percentage_display_on_2.6.dpatch, thanks to
        Arkadi Shishlov for the pointer and patch (Closes: #293429, #266589);
        this combined with 48_procinfo_simplify_counting_CPUs.dpatch allows
        procinfo to add up correctly on sparc, thanks to Peter Hunter
        (Closes: #174645)
      - add 44_procinfo_extend_load_average_in_manpage.dpatch, thanks to
        Kingsley G. Morse Jr. (Closes: #153946)
      - add 45_procinfo_prevent_buffer_overflows.dpatch, thanks to Benoit
        Dejean (Closes: #319980)
      - reinclude socklist utility, even though better alternatives such as
        lsof exist (Closes: #161237)
      - add 46_procinfo_manpage_typo.dpatch, thanks to A Costa
        (Closes: #305960)
    + tofrodos:
      - correct one typo in manpage, the others are actually correct, by
        adding 61_tofrodos_manpage_typo.dpatch (Closes: #305959)
    + debian/copyright: updated according to changes
    + debian/{postinst,prerm}: removed, not needed anymore; thus finally
      finishing the /usr/doc transition (Closes: #320084, #322798)
    + debian/sysutils.1: clarified (Closes: #305961)

 -- Florian Ernst <florian@debian.org>  Wed, 23 Nov 2005 22:51:49 +0100

sysutils (1.3.8.5.1) unstable; urgency=low

  * Non-maintainer upload, with the maintainer's permission.
  * Install /usr/doc symlink in the postinst and remove it in the prerm,
    rather than directly in the .deb (closes: #120025, #124304).
  * Call dh_clean in debian/rules' clean target.
  * Add 'Section: utils' to control file.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Jan 2002 02:14:29 +0000

sysutils (1.3.8.5) unstable; urgency=low

  * Fixed missing /usr/doc symlink (closes: bug#96211)

 -- Lonnie Sauter <sauter@debian.org>  Thu, 03 May 2001 15:41:07 -0600

sysutils (1.3.8.4) unstable; urgency=low

  * Fixed missing debhelper in Build-Depends (closes: bug#92267)
  * New version of procinfo 18

 -- Lonnie Sauter <sauter@debian.org>  Sun, 22 Apr 2001 15:41:07 -0600

sysutils (1.3.8.3) unstable; urgency=low

  * Fixed missing depends (closes: bug#93611)

 -- Lonnie Sauter <sauter@debian.org>  Sat, 7 Apr 2001 15:41:07 -0600

sysutils (1.3.8.2) unstable; urgency=low

  * Fixed missing build depends in source package (closes: bug#92267)

 -- Lonnie Sauter <sauter@debian.org>  Sat, 7 Apr 2001 15:41:07 -0600



=== tofrodos-1.7.8.debian.1/debian/control ===
Source: tofrodos
Section: utils
Priority: optional
Maintainer: Alexander Schmehl <tolimar@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.3
Homepage: http://www.thefreecountry.com/tofrodos/index.shtml
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/tofrodos/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/tofrodos/

Package: tofrodos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: sysutils (<= 2.0.0-1)
Description: Converts DOS <-> Unix text files, alias tofromdos
 DOS text files traditionally have CR/LF (carriage return/line feed) pairs
 as their new line delimiters while Unix text files traditionally have
 LFs (line feeds) to terminate each line.
 .
 Tofrodos comprises one program, "fromdos" alias "todos", which converts
 text files to and from these formats. Use "fromdos" to convert DOS
 text files to the Unix format, and "todos" to convert Unix text files
 to the DOS format.
 .
 This functionality is also available via the dos2unix/unix2dos symlinks.

=== tofrodos-1.7.8.debian.1/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

PACKAGE	=	$(shell dh_listpackages)
TMPDIR	=	$(CURDIR)/debian/$(PACKAGE)
INSTALL	=	install

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp: 
	dh_testdir
	cd $(CURDIR)/src && $(MAKE) CDEBUG="$(CFLAGS)" LDEBUG="-g"
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	cd $(CURDIR)/src && $(MAKE) -i distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs usr/bin usr/share/man/man1
	cd $(CURDIR)/src && $(MAKE) install BINDIR="$(TMPDIR)/usr/bin" MANDIR="$(TMPDIR)/usr/share/man/man1"

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs tofrodos.html
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== tofrodos-1.7.8.debian.1/debian/watch ===
version=3
opts=dversionmangle=s/\.debian\.\d+$// \
http://www.thefreecountry.com/tofrodos/index.shtml \
    http://tofrodos.sourceforge.net/download/tofrodos-([\d\.]+)\.tar\.gz

## tofrodos 1.7.13%2Bds

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\.\-]?((rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(dfsg|debian|ds|repack|repacked)//,\
repacksuffix=+ds \
http://www.thefreecountry.com/tofrodos/index.shtml .*/tofrodos-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## tofrodos 1.7.13+ds

=== debian/changelog ===
tofrodos (1.7.13+ds-3) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross flags.
    Thanks to Helmut Grohne for the report and patch. (Closes: #843921)
  * Mark tofrodos Multi-Arch: foreign.
    Thanks to Helmut Grohne for the report and patch. (Closes: #851199)
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Vcs-Git: Use https.
  * Update copyright years and use https for Format field.

 -- Markus Koschany <apo@debian.org>  Fri, 23 Jun 2017 18:31:09 +0200

tofrodos (1.7.13+ds-2) unstable; urgency=medium

  * Vcs-Browser: Switch to cgit and https.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright years.
  * Simplify get-orig-source target. Use Files-Excluded mechanism.
    This also fixes a build failure with older versions of dpkg-dev.
    Thanks to Chris J Arges for the report. (Closes: #728991)

 -- Markus Koschany <apo@debian.org>  Wed, 28 Oct 2015 23:12:39 +0100

tofrodos (1.7.13+ds-1) unstable; urgency=low

  [ Alexander Reichle-Schmehl ]
  * Fix last changelog entry, remove the "NOT RELEASED YET" entry.
    (Closes: #645830) Thanks to Josh Triplett for noticing!

  [ Markus Koschany ]
  * New Maintainer. (Closes: #726553)
  * New upstream release. (Closes: #692421)
    - Drop FTBFS_non-linux.patch. Merged upstream.
  * Switch to source format 3.0.
  * Bump compat level to 9 and require debhelper >= 9.
  * Bump Standards-Version to 3.9.5, no changes.
  * Improve watch file. Thanks to Bart Martens.
  * Drop README.source and build dependency on quilt. Source format 3.0 uses
    quilt by default.
  * Drop NEWS file because it is obsolete.
  * Register tofrodos.html with doc-base.
  * Switch to dh sequencer.
  * Add a get-orig-source target to debian/rules.
  * Enable all hardening build flags.
  * debian/control:
    - Maintain tofrodos in a Git repository. Change VCS-fields accordingly.
    - Drop Conflicts field in debian/control. It is obsolete.
  * Update debian/copyright to copyright format 1.0.

 -- Markus Koschany <apo@gambaru.de>  Tue, 29 Oct 2013 09:22:17 +0100

tofrodos (1.7.9.debian.1-1) unstable; urgency=low

  * Fix Vcs-Svn header in debian/control
  * New upstream release
  * Add recommended targets build-arch and build-indep to debian/rules
  * Enable LFS support (Closes: #616439), thanks to Lionel Elie Mamane for
    the hint
  * Bump standards to 3.9.2 (no changes needed)
  * Apply patch from Guillem Jover to fix build on linux arches (drop
    patches/FTBFS_kfreebsd.diff, new patch is
    patches/FTBFS_non-linux.diff). Also thanks to  Svante Signell  for his
    inital work! (Closes: #622365)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 18 Oct 2011 16:46:35 +0200

tofrodos (1.7.8.debian.1-2) unstable; urgency=low

  * Change maintainer name
  * Drop dos2unix and unix2dos symlinks, to allow introduction of original
    dos2unix package. (remove dh_link call and add NEWS about that)
  * Add README.source
  * Bump standards version to 3.8.3 (no further changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 21 Jan 2010 21:25:26 +0100

=== debian/control ===
Source: tofrodos
Section: utils
Priority: optional
Maintainer: Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 10)
Standards-Version: 4.0.0
Homepage: http://www.thefreecountry.com/tofrodos/index.shtml
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tofrodos.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tofrodos.git

Package: tofrodos
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Converts DOS <-> Unix text files, alias tofromdos
 DOS text files traditionally have CR/LF (carriage return/line feed) pairs
 as their new line delimiters while Unix text files traditionally have
 LFs (line feeds) to terminate each line.
 .
 Tofrodos comprises one program, "fromdos" alias "todos", which converts
 text files to and from these formats. Use "fromdos" to convert DOS
 text files to the Unix format, and "todos" to convert Unix text files
 to the DOS format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)


%:
	dh $@ --sourcedirectory=src

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r -v src/fromdos src/todos

override_dh_auto_build:
	dh_auto_build -- CDEBUG="$(CFLAGS)" LDEBUG="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- \
		BINDIR=$(CURDIR)/debian/tofrodos/usr/bin \
		MANDIR=$(CURDIR)/debian/tofrodos/usr/share/man/man1

get-orig-source:
	uscan --verbose --repack --compression xz --download-current-version --force-download

## tofrodos 1.8.3+ds

=== debian/changelog ===
tofrodos (1.8.3+ds-1) unstable; urgency=medium

  * New upstream version 1.8.3+ds.
  * Fix debian/watch file and include zip archives.
  * Declare compliance with Debian Policy 4.7.2.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Oct 2025 20:38:00 +0200

tofrodos (1.7.13+ds-6) unstable; urgency=medium

  * Use https for homepage and source field.
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Tue, 24 Jan 2023 21:47:47 +0100

tofrodos (1.7.13+ds-5) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.

 -- Markus Koschany <apo@debian.org>  Sat, 26 Dec 2020 22:00:51 +0100

tofrodos (1.7.13+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Markus Koschany ]
  * Switch to compat level 11.
  * Remove get-orig-source target.
  * Declare compliance with Debian Policy 4.2.1.
  * Update copyright years.

 -- Markus Koschany <apo@debian.org>  Fri, 07 Dec 2018 19:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 10)
-Standards-Version: 4.0.0
-Homepage: http://www.thefreecountry.com/tofrodos/index.shtml
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tofrodos.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tofrodos.git
+ debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Homepage: https://www.thefreecountry.com/tofrodos/index.shtml
+Vcs-Git: https://salsa.debian.org/debian/tofrodos.git
+Vcs-Browser: https://salsa.debian.org/debian/tofrodos
 
 Package: tofrodos
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,3 @@
 		BINDIR=$(CURDIR)/debian/tofrodos/usr/bin \
 		MANDIR=$(CURDIR)/debian/tofrodos/usr/share/man/man1
 
-get-orig-source:
-	uscan --verbose --repack --compression xz --download-current-version --force-download

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[\.\-]?((rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(dfsg|debian|ds|repack|repacked)//,\
repacksuffix=+ds \
http://www.thefreecountry.com/tofrodos/index.shtml .*/tofrodos-(\d.*)\.(?:zip|tgz|tbz2|tar\.(?:gz|bz2|xz))
